<?php
namespace Teknisa\PLA\Modules\Cardapio\Controllers;

use Zeedhi\Framework\DTO;

class Pla00106AnaliseCustoConsumoServicoController extends \Teknisa\GER\Controllers\TeknisaCrud {

    protected $util;
    protected $dataSourceName = "analisecustoconsumoservico";
    protected $parameterBagColumns = array(
    	"NRORG",
    	"CDFILICUSTO",
		"CDFILIAL",
		"DTREFECUSTO",
		"IDTIPOCONS",
		"DTPROCESSA",
		"DTCONSSERV",
		"CDSERVFILI",
		"NRTIPOCUSTO",
		"QTCOMENSAIS"
	);

	public function __construct($crudService, $parameterBag, $util) {
		$this->crudService = $crudService;
		$this->parameterBag = $parameterBag;
		$this->util = $util;
	}

	public function find(DTO\Request\Filter $request, DTO\Response $response) {

		$dtprocessa = $this->util->retornaDataProcessamento();
		$filterCriteria = $request->getFilterCriteria();
		$filterCriteria->addCondition("DTPROCESSA", $dtprocessa);
		parent::find($request, $response);
	}
}